{"title":"Get salesOrders","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salesorder_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesorder_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesorder_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a sales order object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":88,"chars":210},{"level":2,"title":"Request headers","slug":"request-headers","at":298,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":370,"chars":61},{"level":2,"title":"Response","slug":"response","at":431,"chars":123},{"level":2,"title":"Example","slug":"example","at":554,"chars":1560},{"level":2,"title":"Related information","slug":"related-information","at":2114,"chars":212}],"text":"Retrieve the properties and relationships of a sales order object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/salesOrders({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a salesOrders object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/salesOrders({id})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"id\": \"b6f4017a-b749-ee11-ad0b-a1422c0f7f1f\",\n  \"number\": \"101005\",\n  \"externalDocumentNumber\": \"\",\n  \"orderDate\": \"2015-12-31\",\n  \"postingDate\": \"2023-09-02\",\n  \"customerId\": \"c04c550b-593f-ee11-be74-6045bdc8c285\",\n  \"customerNumber\": \"10000\",\n  \"customerName\": \"Adatum Corporation\",\n  \"billToName\": \"Adatum Corporation\",\n  \"billToCustomerId\": \"c04c550b-593f-ee11-be74-6045bdc8c285\",\n  \"billToCustomerNumber\": \"10000\",\n  \"shipToName\": \"Adatum Corporation\",\n  \"shipToContact\": \"Robert Townes\",\n  \"sellToAddressLine1\": \"Station Road, 21\",\n  \"sellToCity\": \"Cambridge\",\n  \"sellToCountry\": \"GB\",\n  \"billToAddressLine1\": \"Station Road, 21\",\n  \"billToAddressLine2\": \"\",\n  \"billToCity\": \"Cambridge\",\n  \"billToCountry\": \"GB\",\n  \"shipToAddressLine1\": \"Station Road, 21\",\n  \"shipToCity\": \"Cambridge\",\n  \"shipToCountry\": \"GB\",\n  \"shortcutDimension1Code\": \"\",\n  \"shortcutDimension2Code\": \"MEDIUM\",\n  \"currencyId\": \"00000000-0000-0000-0000-000000000000\",\n  \"currencyCode\": \"GBP\",\n  \"paymentTermsId\": \"0e8b5305-593f-ee11-be74-6045bdc8c285\",\n  \"shipmentMethodId\": \"774c550b-593f-ee11-be74-6045bdc8c285\",\n  \"salesperson\": \"JO\",\n  \"lastModifiedDateTime\": \"2023-09-02T17:49:38.5Z\",\n  \"phoneNumber\": \"\",\n  \"email\": \"robert.townes@contoso.com\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_salesorder\ndynamics_salesorder_delete\ndynamics_salesorder_create\ndynamics_salesorder_update"}